[backend]

# URL where are results visible
# default is http://copr
results_baseurl=https://copr-be.cloud.fedoraproject.org/results

# ??? What is this
# default is http://coprs/rest/api
#frontend_url=http://copr-fe.cloud.fedoraproject.org/backend
frontend_url=https://172.16.5.31/backend

# must have same value as BACKEND_PASSWORD from have frontend in /etc/copr/copr.conf
# default is PASSWORDHERE but you really should change it. really.
frontend_auth={{ copr_backend_password }}

# path to ansible playbook which spawns builder
# see /usr/share/copr*/playbooks/ for examples
# default is /etc/copr/builder_playbook.yml
spawn_playbook=/home/copr/provision/builderpb.yml

# path to ansible playbook which terminate builder
# default is /etc/copr/terminate_playbook.yml 
terminate_playbook=/home/copr/provision/terminatepb.yml

terminate_vars=vm_name

# directory where jobs are stored
# no defaults
jobsdir=/var/lib/copr/jobs

# directory where results are stored
# should be accessible from web using 'results_baseurl' URL
# no default
destdir=/var/lib/copr/public_html/results

# default is 10
sleeptime=30

# default is 8
num_workers=8

# path to log file
# default is /var/log/copr/backend.log
logfile=/var/log/copr/backend.log

# default is /var/log/copr/workers/
worker_logdir=/var/log/copr/workers/

# exit on worker failure
# default is false
#exit_on_worker=false

# publish fedmsg notifications from workers if true
# default is false
#fedmsg_enabled=false
fedmsg_enabled=true

# minimum age for builds to be pruned
prune_days=14
# path to executable script to clean old build
prune_script=/usr/share/copr/copr_prune_old_builds.sh

[builder]
# default is 1800
timeout=3600
